<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: TIMER Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">TIMER Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d8/ddd/group___n_a_n_o1_x2___t_i_m_e_r___driver.html">TIMER Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for TIMER Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad9_2d3c_2group______n__a__n__o1__x2______t__i__m__e__r______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">TIMER Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga72feaa98c11709d47e90b45a32677b92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">TIMER_ONESHOT_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga72feaa98c11709d47e90b45a32677b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">TIMER_PERIODIC_MODE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad177f87a38087cb248943f9539af9550"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">TIMER_TOGGLE_MODE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:gad177f87a38087cb248943f9539af9550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea824dab491cf5c772b2695ac91b4220"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">TIMER_CONTINUOUS_MODE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:gaea824dab491cf5c772b2695ac91b4220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga171c813372b2caafa1aee17b76a0e21e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">TIMER_CAPTURE_FREE_COUNTING_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga171c813372b2caafa1aee17b76a0e21e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b577508c75113be469bb74b979af91e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">TIMER_CAPTURE_TRIGGER_COUNTING_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a075e98200974966cee8dc79d177ba0c9">TIMER_CTL_TCAP_CNT_MODE_Msk</a>)</td></tr>
<tr class="separator:ga5b577508c75113be469bb74b979af91e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab10e49633e66d5322d9050a7b2ab6543"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">TIMER_CAPTURE_COUNTER_RESET_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a00db75e748324bce2b21b469de4f16df">TIMER_CTL_TCAP_MODE_Msk</a>)</td></tr>
<tr class="separator:gab10e49633e66d5322d9050a7b2ab6543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">TIMER_CAPTURE_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">TIMER_CAPTURE_RISING_EDGE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">TIMER_COUNTER_RISING_EDGE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abfce5bc49d77aef9a93725c680b6ddf9">TIMER_CTL_EVENT_EDGE_Msk</a>)</td></tr>
<tr class="separator:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">TIMER_COUNTER_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5696e0b40e902b9e09e400730d958ccb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5696e0b40e902b9e09e400730d958ccb">TIMER_TIMEOUT_TRIGGER</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga5696e0b40e902b9e09e400730d958ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02b0a0748106607aa66c7aa9fd26628e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga02b0a0748106607aa66c7aa9fd26628e">TIMER_CAPTURE_TRIGGER</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a9921523684f6601829cb7d5fd91dd753">TIMER_CTL_CAP_TRG_EN_Msk</a>)</td></tr>
<tr class="separator:ga02b0a0748106607aa66c7aa9fd26628e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gab10e49633e66d5322d9050a7b2ab6543" name="gab10e49633e66d5322d9050a7b2ab6543"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab10e49633e66d5322d9050a7b2ab6543">&#9670;&nbsp;</a></span>TIMER_CAPTURE_COUNTER_RESET_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_COUNTER_RESET_MODE&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a00db75e748324bce2b21b469de4f16df">TIMER_CTL_TCAP_MODE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter reset mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00040">40</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gab928d0fd637d9c0b5472c58c8433fe38" name="gab928d0fd637d9c0b5472c58c8433fe38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab928d0fd637d9c0b5472c58c8433fe38">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FALLING_EDGE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Falling edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00042">42</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga015b901cc1d26cc790d5fdfd4a4624ca" name="ga015b901cc1d26cc790d5fdfd4a4624ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga015b901cc1d26cc790d5fdfd4a4624ca">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FALLING_THEN_RISING_EDGE&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Falling edge then rising edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00044">44</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga171c813372b2caafa1aee17b76a0e21e" name="ga171c813372b2caafa1aee17b76a0e21e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga171c813372b2caafa1aee17b76a0e21e">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FREE_COUNTING_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FREE_COUNTING_MODE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Free counting mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00038">38</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gabf4f88d1b078222b7053a850cec8f5f6" name="gabf4f88d1b078222b7053a850cec8f5f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabf4f88d1b078222b7053a850cec8f5f6">&#9670;&nbsp;</a></span>TIMER_CAPTURE_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_RISING_EDGE&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rising edge trigger timer capture <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00043">43</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaf321dd7ed2d6e6c63bc0a0d9195b623f" name="gaf321dd7ed2d6e6c63bc0a0d9195b623f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf321dd7ed2d6e6c63bc0a0d9195b623f">&#9670;&nbsp;</a></span>TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_RISING_THEN_FALLING_EDGE&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rising edge then falling edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00045">45</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga02b0a0748106607aa66c7aa9fd26628e" name="ga02b0a0748106607aa66c7aa9fd26628e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga02b0a0748106607aa66c7aa9fd26628e">&#9670;&nbsp;</a></span>TIMER_CAPTURE_TRIGGER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_TRIGGER&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a9921523684f6601829cb7d5fd91dd753">TIMER_CTL_CAP_TRG_EN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer capture trigger other modules </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00051">51</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga5b577508c75113be469bb74b979af91e" name="ga5b577508c75113be469bb74b979af91e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5b577508c75113be469bb74b979af91e">&#9670;&nbsp;</a></span>TIMER_CAPTURE_TRIGGER_COUNTING_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_TRIGGER_COUNTING_MODE&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a075e98200974966cee8dc79d177ba0c9">TIMER_CTL_TCAP_CNT_MODE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Trigger counting mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00039">39</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaea824dab491cf5c772b2695ac91b4220" name="gaea824dab491cf5c772b2695ac91b4220"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaea824dab491cf5c772b2695ac91b4220">&#9670;&nbsp;</a></span>TIMER_CONTINUOUS_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CONTINUOUS_MODE&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in continuous mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00036">36</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga7b7b53305f2df523e3e594f38d0d2c2b" name="ga7b7b53305f2df523e3e594f38d0d2c2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7b7b53305f2df523e3e594f38d0d2c2b">&#9670;&nbsp;</a></span>TIMER_COUNTER_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_COUNTER_FALLING_EDGE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter increase on falling edge </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00048">48</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga2cc45560af8a91021231fff3e8b7d43a" name="ga2cc45560af8a91021231fff3e8b7d43a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2cc45560af8a91021231fff3e8b7d43a">&#9670;&nbsp;</a></span>TIMER_COUNTER_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_COUNTER_RISING_EDGE&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abfce5bc49d77aef9a93725c680b6ddf9">TIMER_CTL_EVENT_EDGE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter increase on rising edge <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00047">47</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga72feaa98c11709d47e90b45a32677b92" name="ga72feaa98c11709d47e90b45a32677b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72feaa98c11709d47e90b45a32677b92">&#9670;&nbsp;</a></span>TIMER_ONESHOT_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_ONESHOT_MODE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in one shot mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00033">33</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga41103f29e7760dcf1747b06d93e1cc59" name="ga41103f29e7760dcf1747b06d93e1cc59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga41103f29e7760dcf1747b06d93e1cc59">&#9670;&nbsp;</a></span>TIMER_PERIODIC_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_PERIODIC_MODE&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in periodic mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00034">34</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga5696e0b40e902b9e09e400730d958ccb" name="ga5696e0b40e902b9e09e400730d958ccb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5696e0b40e902b9e09e400730d958ccb">&#9670;&nbsp;</a></span>TIMER_TIMEOUT_TRIGGER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TIMEOUT_TRIGGER&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer timeout trigger other modules </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00050">50</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gad177f87a38087cb248943f9539af9550" name="gad177f87a38087cb248943f9539af9550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad177f87a38087cb248943f9539af9550">&#9670;&nbsp;</a></span>TIMER_TOGGLE_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TOGGLE_MODE&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in toggle mode <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00035">35</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
